### Method

# Vips Image write_to_memory

#### Declaration [src]

    void*
    vips_image_write_to_memory (
      VipsImage* in,
      size_t* size
    )

#### Description [src]

Writes `in` to memory as a simple, unformatted C-style array.

The caller is responsible for freeing this memory with `g_free()`.

See also

`vips_image_write_to_buffer()`.

#### Parameters

`size`

  Type: `size_t*`

  Return buffer length here.

  The argument will be set by the function.

#### Return value

Type: An array of `guint8`

Return buffer start here.

The length of the array is in the `size` argument.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.